Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\SPI\FieldType\GatewayBasedStorage Class Reference

Field Type External Storage gateway base class. More...

Inheritance diagram for eZ\Publish\SPI\FieldType\GatewayBasedStorage:

## Public Member Functions
| __construct (StorageGateway $gateway)
| copyLegacyField (VersionInfo $versionInfo, Field $field, Field $originalField, array $context)
| This method is used exclusively by Legacy Storage to copy external data of existing field in main language to the untranslatable field not passed in create or update struct, but created implicitly in storage layer. More...
Public Member Functions inherited from eZ\Publish\SPI\FieldType\FieldStorage
| storeFieldData (VersionInfo $versionInfo, Field $field, array $context)
| Allows custom field types to store data in an external source (e.g. More...
| getFieldData (VersionInfo $versionInfo, Field $field, array $context)
| Populates $field value property based on the external data. More...
| deleteFieldData (VersionInfo $versionInfo, array $fieldIds, array $context)
| Deletes field data for all $fieldIds in the version identified by $versionInfo. More...
| hasFieldData ()
| Checks if field type has external data to deal with. More...
| getIndexData (VersionInfo $versionInfo, Field $field, array $context)
| Get index data for external data for search backend. More...

## Protected Attributes
| $gateway

## Detailed Description

Field Type External Storage gateway base class.

Definition at line 15 of file SPI/FieldType/GatewayBasedStorage.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\SPI\FieldType\GatewayBasedStorage::__construct | ( | StorageGateway | $gateway | ) |

Parameters

  \eZ\Publish\SPI\FieldType\StorageGateway | $gateway |

Definition at line 27 of file SPI/FieldType/GatewayBasedStorage.php.

References eZ\Publish\SPI\FieldType\GatewayBasedStorage\$gateway.

## Member Function Documentation

## ◆ copyLegacyField()

eZ\Publish\SPI\FieldType\GatewayBasedStorage::copyLegacyField | ( | VersionInfo | $versionInfo,
|  | Field | $field,
|  | Field | $originalField,
|  | array | $context
| ) |  |

This method is used exclusively by Legacy Storage to copy external data of existing field in main language to the untranslatable field not passed in create or update struct, but created implicitly in storage layer.

By default the method falls back to the (). External storages implement this method as needed.

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  \eZ\Publish\SPI\Persistence\Content\Field | $field |
  \eZ\Publish\SPI\Persistence\Content\Field | $originalField |
  array | $context |

Returns
  bool|null Same as ().

Reimplemented in eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage.

Definition at line 46 of file SPI/FieldType/GatewayBasedStorage.php.

References eZ\Publish\SPI\FieldType\FieldStorage\storeFieldData().

## Member Data Documentation

## ◆ $gateway

eZ\Publish\SPI\FieldType\GatewayBasedStorage::$gateway
| protected

Definition at line 22 of file SPI/FieldType/GatewayBasedStorage.php.

Referenced by eZ\Publish\SPI\FieldType\GatewayBasedStorage\__construct().

The documentation for this class was generated from the following file:

- SPI/FieldType/GatewayBasedStorage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.